/** @format */

import * as React from 'react';
import {InterfaceMethod} from '../../const/status';
import Select, {SelectOptionProp, SelectProps} from './select';
const options: SelectOptionProp[] = [];
Object.keys(InterfaceMethod).map(element => {
    if (isNaN(element as any)) {
        options.push({
            value: element,
            key: element,
            label: element,
        });
    }
});
interface MethodSlectprops extends SelectProps {}
export default React.forwardRef((props: MethodSlectprops, ref) => {
    return <Select ref={ref} options={options} {...props} />;
});
